ECHO OFF
:MENU
CLS
ECHO.
ECHO ........................................................
ECHO Welcome to the KULUMI content duplicator program!
ECHO ........................................................
ECHO Make sure that this command file is placed in the folder
ECHO that you would like to copy to the SDcards
ECHO Kulumi plays back in order that it was copied in so use this
ECHO program to ensure that it plays back in alphabetical order                 
ECHO ........................................................
ECHO PRESS 1, 2 OR 3 to select your task, or 4 to EXIT.
ECHO ........................................................
ECHO.
ECHO 1 - Copy to Drive E to Drive O
ECHO 2 - Copy to Drive F to Drive P
ECHO 3 - Copy to Drive G to Drive Q 
ECHO 4 - Copy Custom Drive to Drive
ECHO 5 - EXIT
ECHO.

SET /P M=Type 1, 2, 3, or 4 then press ENTER:
IF %M%==1 GOTO E2O
IF %M%==2 GOTO F2P
IF %M%==3 GOTO G2Q
IF %M%==4 GOTO OWN
IF %M%==5 GOTO EOF

set /a temp=1+1
%temp%


:E2O
set abc=e f g h i j k l m n o
GOTO STARTCOPY

:F2P
set abc=f g h i j k l m n o p
GOTO STARTCOPY

:G2Q
set abc=g h i j k l m n o p q 
GOTO STARTCOPY

:G2Q
set abc=g h i j k l m n o p q 
GOTO STARTCOPY

:OWN
CLS
ECHO ........................................................
ECHO Please input the drives that you would like to copy to
ECHO For Example: 
ECHO e f g h i
ECHO Will copy to 5 drives from drive e to drive i
ECHO ........................................................
SET /P abc=Press ENTER when done:
GOTO STARTCOPY


:STARTCOPY
CLS
FOR %%A IN (%abc%) DO ECHO Copy to %%A%:
FOR %%A IN (%abc%) DO start cmd.exe /C "rmdir %%A%:\01_Classic /s /q" 
FOR %%A IN (%abc%) DO start cmd.exe /C "rmdir %%A%:\½ļ /s /q" 
FOR %%A IN (%abc%) DO start cmd.exe /C "rmdir %%A%:\System Volume Information /s /q" y

FOR %%A IN (%abc%) DO start cmd.exe /C "xcopy *.* /s /e %%A%: /EXCLUDE:MAC_Exclude.txt" 
: 
ECHO ........................................................
ECHO Would you like to copy again?
ECHO Make sure all the windows are closed before proceeding
ECHO ........................................................
ECHO 1 - Copy Again
ECHO 2 - Return to Menu
ECHO 5 - Exit
SET /P REP=Type 1, 2 or 5 then press ENTER:
IF %REP%==5 GOTO EOF
IF %REP%==1 GOTO STARTCOPY
IF %REP%==2 GOTO MENU

:EOF


